Name: liblinpack-devel
Version: 20090217
Release: alt1
Summary: Analyze and solve linear equations and linear least-squares probles
License: Free
Group: Sciences/Mathematics
Url: http://www.netlib.org/linpack/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar.gz

BuildPreReq: gcc-fortran libgfortran-devel-static

%description
LINPACK is a collection of Fortran subroutines that analyze and
solve linear equations and linear least-squares probles.  The
package solves linear systems whose matrices are general, banded,
symmetric indefinite, symmetric positive definite, triangular,
and tridiagonal square.  In addition, the package computes
the QR and singular value decompositions of rectangular matrices
and applies them to least-squares problems.  LINPACK uses
column-oriented algorithms to increase efficiency by preserving
locality of reference.

LINPACK was designed for supercomputers in use in the 1970s and
early 1980s.  LINPACK has been largely superceded by LAPACK
which has been designed to run efficiently on shared-memory, vector
supercomputers.

%prep
%setup

%build
%make_build

%install
install -d %buildroot%_libdir
install -m644 *.a %buildroot%_libdir

%files
%doc comment index-2009-02-17 permission readme
%_libdir/*

%changelog
* Sat Apr 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 20090217-alt1
- Initial build for Sisyphus
